<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/layout_main"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="20dp"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/image_view_close"
            android:layout_width="35dp"
            android:layout_height="30dp"
            android:layout_gravity="start"
            android:layout_marginTop="15dp"
            android:src="@drawable/ic_close_x"
            app:tint="@color/colorPrimary" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_login"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/default_home_margin_top"
            android:layout_marginBottom="@dimen/margin_12x_size"
            android:text="@string/forget_password_normal"
            android:textColor="@color/colorPink"
            android:textSize="@dimen/default_home_text_size" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="10dp"
            android:text="@string/enter_phone_number_or_user_name"
            android:textColor="@android:color/black"
            android:textSize="@dimen/default_text_size" />

        <com.seatel.mobilehall.util.customview.CustomEditText
            android:id="@+id/edit_text_phone_number"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:background="@drawable/bg_edit_text_gray_stroke"
            android:digits="0123456789"
            android:hint="@string/phone_number"
            android:imeOptions="actionNext"
            android:inputType="phone"
            android:maxLength="15"
            android:paddingStart="@dimen/margin_2x_size"
            android:paddingTop="@dimen/margin_1x_size"
            android:paddingEnd="@dimen/margin_2x_size"
            android:paddingBottom="@dimen/margin_1x_size"
            android:singleLine="true"
            android:textSize="@dimen/default_edittext_size" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_yes"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:layout_gravity="center"
            android:layout_marginTop="15dp"
            android:background="@drawable/bg_button_primary"
            android:gravity="center"
            android:text="@string/yes"
            android:textAllCaps="false"
            android:textColor="@android:color/white"
            android:textSize="@dimen/default_text_size" />
    </LinearLayout>


    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="10dp"
        android:background="@android:color/white"
        android:clickable="true"
        android:focusable="true"
        android:paddingTop="5dp">

        <com.seatel.mobilehall.util.customview.CustomKeyboard
            android:id="@+id/keyboard_View"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:paddingStart="18dp"
            android:paddingEnd="18dp"
            android:visibility="gone" />

    </FrameLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />


</RelativeLayout>